﻿using System.Collections.Generic;
using System.Windows;
using MaterialModernWPF.Module;
using MaterialModernWPF.Service;
using MaterialModernWPF.View;
using Prism.DryIoc;
using Prism.Ioc;
using Prism.Modularity;

namespace MaterialModernWPF
{
    /// <summary>
    ///     Interaktionslogik für "App.xaml"
    /// </summary>
    public partial class App : PrismApplication
    {
        protected override void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.Register<ShellViewModel>();
            containerRegistry.Register<Shell>();
            containerRegistry.RegisterSingleton<CalculationPackageContainer>();
            containerRegistry.RegisterSingleton<CalculationPackage, DetailedGeometryPackage>();
            containerRegistry.RegisterSingleton<CalculationPackage, AdditionalMoments>();
            containerRegistry.RegisterForNavigation<DetailedGeometryView>();
        }

        protected override Window CreateShell()
        {
            return Container.Resolve<Shell>();
        }


        protected override void ConfigureModuleCatalog(IModuleCatalog moduleCatalog)
        {
            moduleCatalog.AddModule(typeof(MainModule));
            base.ConfigureModuleCatalog(moduleCatalog);
        }
    }
}